
package de.ivu.elect.presentation.kandidatur.action;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.kandidatur.boundary.DirektkandidaturConversationSelect;
import de.ivu.elect.business.kandidatur.entity.Direktkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.stimmzettel.action.EntityAufStimmzettelDeleteAction;

@Named(EinzelbewerberDirektkandidaturDeleteAction.COMPONENT_NAME)
public class EinzelbewerberDirektkandidaturDeleteAction extends AbstractEinzelbewerberDirektkandidaturAction implements EntityAufStimmzettelDeleteAction<Direktkandidatur> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "einzelbewerberDirektkandidaturDeleteAction";

  @Inject
  private transient DirektkandidaturConversationSelect direktkandidaturConversationSelect;

  public EinzelbewerberDirektkandidaturDeleteAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.DIREKTKANDIDATUR_DELETE;
  }

  @Override
  protected String doIt(Direktkandidatur direktkandidatur) {
    direktkandidaturConversationSelect.setEntity(direktkandidatur);

    // Return to current page and display the dialog!
    return null;
  }

  @Override
  public String getDialogName() {
    return "EinzelbewerberDirektkandidaturDeleteConfirm";
  }

  @Override
  protected boolean isFireChangeEvent() {
    return true;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.delete";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconDelete();
  }
}
